<cfcomponent
	output="false">

	<!---
	PROPERTIES - APPLICATION SPECIFIC
	--->
	<cfset this.name = "FunWithColdSpring" />
	<cfset this.sessionManagement = true />
	<cfset this.setClientCookies = false />
	<cfset this.setDomainCookies = false />
	<cfset this.sessionTimeOut = CreateTimeSpan(0,1,0,0) />
	<cfset this.applicationTimeOut = CreateTimeSpan(0,0,1,0) />

	<!---
	PUBLIC FUNCTIONS
	--->
	<cffunction name="onApplicationStart" returnType="void" output="false">
		<cfsetting requesttimeout="120" />
		<cfset application.startTime = Now() />
		<cfset loadColdSpring() />
	</cffunction>
	
	<cffunction name="onRequestStart" output="false" returntype="any" >
		<cfif structKeyExists( url, "reload")>
			<cfset loadColdSpring() />
		</cfif>
	</cffunction>
	
	

	<cffunction name="loadColdSpring" output="false" access="private" returntype="void">
		<cfset application.coldspring = createObject('component', 'coldspring.beans.defaultXMLbeanfactory').init() />
		<cfset application.coldspring.loadBeansFromXMLFile( expandPath('coldspring1.xml') ) />
	</cffunction>

</cfcomponent>