<cfset localBeanFactory = createObject("component","coldspring.beans.DefaultXmlBeanFactory").init(structNew(), dProp)/>   
<cfset localBeanFactory.loadBeansFromXmlFile("#expandPath('.')#\IncludeMe.xml", true)/>   

<cfinclude template="template/header.cfm" />

<cfset obj = localBeanFactory.getBean("aConfigArray") />
<cfset incObj = localBeanFactory.getBean("IncludedConfig") />

<h2>Importing Other Bean Definitions</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<beans>
	<import resource="coldspring1.xml" />
	<bean id="IncludedConfig" class="coldspring.beans.factory.config.MapFactoryBean" >
		<property name="SourceMap">
			<map>
				<entry key="ActivityTypeID"><value>0</value></entry>
				<entry key="Name"><value>All</value></entry>
				<entry key="Code"><value>All</value></entry>
				<entry key="MetricUnit"><value></value></entry>
				<entry key="StandardUnit"><value></value></entry>
				<entry key="hasDistance"><value>1</value></entry>
				<entry key="hasTime"><value>1</value></entry>
				<entry key="hasWeight"><value>1</value></entry>
				<entry key="isSpecific"><value>false</value></entry>
			</map>
		</property>
	</bean>
</beans>
		')#</cfoutput>
</pre>


<h3>Results</h3>
<cfdump var="#obj#">
<cfdump var="#incObj#">

<cfinclude template="template/footer.cfm" />