<cfset localBeanFactory = createObject("component","coldspring.beans.DefaultXmlBeanFactory").init(structNew())/>   
<cfset localBeanFactory.loadBeansFromXmlFile("#expandPath('.')#\ParentalAdvisoryAbstract.xml", true)/>   

<cfinclude template="template/header.cfm" />

<cfset rightOn = localBeanFactory.getBean("ILoveHangGliding") />
<cfset youSuck = localBeanFactory.getBean("IHateHangGliding") />

<h2>Using Other Definitions - Part 1</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<bean id="ILoveHangGliding" class="FunWithColdSpring.AbstractParentObject" parent="AConfiguredObject">
		<property name="HangGlidingPreference"><value>true</value></property>
	</bean>
	<bean id="IHateHangGliding" class="FunWithColdSpring.AbstractParentObject" parent="AConfiguredObject">
		<property name="HangGlidingPreference"><value>false</value></property>
	</bean>
	
	
	<bean id="AConfiguredObject" class="" abstract="true">
		<constructor-arg name="label"><value>The Label Of the Object</value></constructor-arg>
		<constructor-arg name="number"><value>42</value></constructor-arg>
		<property name="creditcard"><value>Heh, Yeah Right</value></property>
	</bean>
		')#</cfoutput>
</pre>


<h3>Results</h3>
<cfdump var="#rightOn.getHangGlidingPreference()#">
<cfdump var="#rightOn.getMemento()#">
<cfdump var="#youSuck.getHangGlidingPreference()#">
<cfdump var="#youSuck.getMemento()#">

<cfinclude template="template/footer.cfm" />