<cfinclude template="template/header.cfm" />

<cfset obj = application.coldspring.getBean("aConfigStruct") />
<h2>Making A Configuration Struct</h2>
<h3>Code</h3>
<pre>
	<cfoutput>#HTMLEditFormat('<bean id="aConfigStruct" class="coldspring.beans.factory.config.MapFactoryBean">
		<property name="SourceMap">
			<map>
				<entry key="DateFormat"><value>mm/dd/yyyy</value></entry>
				<entry key="AllowedLayoutList"><value>excel,image,html,pdf,print</value></entry>
				<entry key="DefaultLayout"><value>html</value></entry>
				<entry key="AppTitle"><value>Fun With ColdSpring</value></entry>
			</map>
		</property>
	</bean>
		')#</cfoutput>
</pre>
<h3>Results</h3>
<cfdump var="#obj#">

<cfinclude template="template/footer.cfm" />