<cfcomponent>

	<cfset variables.instance = structNew() />
	<cffunction name="init" returntype="ParentedNestedConfigObject" output="false" access="public" hint="I perform initialization functions for this component">
		<cfargument name="Label" type="string" required="true"/>
		<cfargument name="someStruct" type="struct" required="true"/>

			<cfset variables.instance.label = arguments.label />
			<cfset variables.instance.someStruct = arguments.someStruct />
		
		<cfreturn this />
	</cffunction>
	
	<cffunction name="getHangGlidingPreference" access="public" output="false" returntype="any">
		<cfreturn variables.instance.HangGlidingPreference />
	</cffunction>
	
	<cffunction name="setHangGlidingPreference" access="public" output="false" returntype="void">
		<cfargument name="HangGlidingPreference" type="any" required="true" />
		<cfset variables.instance.HangGlidingPreference = arguments.HangGlidingPreference />
	</cffunction>

	<cffunction name="getSomeArray" access="public" output="false" returntype="Array">
		<cfreturn variables.instance.SomeArray />
	</cffunction>
	
	<cffunction name="setSomeArray" access="public" output="false" returntype="void">
		<cfargument name="SomeArray" type="Array" required="true" />
		<cfset variables.instance.SomeArray = arguments.SomeArray />
	</cffunction>
	
	<cffunction name="getNestedConfig" access="public" output="false" returntype="any">
		<cfreturn variables.instance.NestedConfig />
	</cffunction>
	
	<cffunction name="setNestedConfig" access="public" output="false" returntype="void">
		<cfargument name="NestedConfig" type="any" required="true" />
		<cfset variables.instance.NestedConfig = arguments.NestedConfig />
	</cffunction>
	
	<cffunction name="getMemento" output="false" access="public" returntype="struct" hint="">
		<cfreturn variables.instance />		
	</cffunction>	

</cfcomponent>