<cfcomponent extends="TicketValidatorFacade">

	<cffunction name="validate" access="public" output="false">
		<cfargument name="Data" />
		<cfargument name="SystemMSG" default="" />

		<cfset var ValidationResultsList="" />
		
		<cfscript>
			ValidationResultsList=listappend(ValidationResultsList, getTicketValidator().validateCategory(arguments.Data, arguments.SystemMSG));
			ValidationResultsList=listappend(ValidationResultsList, getTicketDetailValidator().validateMessage(arguments.Data, arguments.SystemMSG));
			ValidationResultsList=listappend(ValidationResultsList, getTicketDetailValidator().validateTicketAttachmentPath(arguments.Data, arguments.SystemMSG));
		</cfscript>

		<cfif listfindnocase(ValidationResultsList, 'False')>
			<cfreturn False />
		<cfelse>
			<cfreturn True />
		</cfif>
	</cffunction>


</cfcomponent>